Favicon

You are here: Home > API Reference > Workspace > Organization Employees > Get list all employees group by employee

Get list all employees group by employee

Required Permission: base.people.organizationEmployee.listAll

Get list all employees group by employee

GET
/v1/organizations/:organizationId/employees/all
Copy to clipboard

Get list all employees group by employee

Required Permission: base.people.organizationEmployee.listAll

Get list all employees group by employee

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
email string
optional
≤ 256 characters
tags array
optional
applicationId string
optional
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean optional
data array [object] optional
employee object optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
email string optional
≤ 256 characters · Format: email
firstName string optional
≤ 128 characters
lastName string optional
≤ 128 characters
has2FAActive boolean optional
employees array [object] optional
employeeType string optional
≤ 128 characters
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
organization string optional
Match pattern: ^[a-fA-F0-9]{24}$
application object optional
_id string optional
Match pattern: ^[a-fA-F0-9]{24}$
name string optional
≤ 128 characters
slug string optional
≤ 128 characters
description string optional
≤ 128 characters
picture string optional
tags array [string] optional
type string optional
traditional ldap saml customLogin temporal
from string optional
store sdk dashboard integrationApi emm adm scim agent win
detected object optional
createdBy string optional
Match pattern: ^[a-fA-F0-9]{24}$
updatedAt string optional
Format: date-time
createdAt string optional
Format: date-time
{
    "status": true,
    "data": [
        {
            "employee": {
                "id": "string",
                "email": "[email protected]",
                "firstName": "string",
                "lastName": "string",
                "has2FAActive": true
            },
            "employees": [
                {
                    "employeeType": "string",
                    "id": "string",
                    "organization": "string",
                    "application": {
                        "_id": "string",
                        "name": "string",
                        "slug": "string",
                        "description": "string",
                        "picture": "string"
                    },
                    "tags": [
                        "string"
                    ],
                    "type": "traditional",
                    "from": "store",
                    "detected": {},
                    "createdBy": "string",
                    "updatedAt": "2024-01-01T00: 00:00Z",
                    "createdAt": "2024-01-01T00: 00:00Z"
                }
            ]
        }
    ]
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}